summaryrefslogtreecommitdiff
path: root/dx/tests/run-test
diff options
context:
space:
mode:
Diffstat (limited to 'dx/tests/run-test')
-rwxr-xr-xdx/tests/run-test11
1 files changed, 9 insertions, 2 deletions
diff --git a/dx/tests/run-test b/dx/tests/run-test
index 0da2e38fb..44f2bd70e 100755
--- a/dx/tests/run-test
+++ b/dx/tests/run-test
@@ -124,8 +124,15 @@ if [ "$dev_mode" = "yes" ]; then
echo "exit status: $?" 1>&2
good="yes"
elif [ "$update_mode" = "yes" ]; then
- "./$run" >"${progdir}/$td_expected" 2>&1
- good="yes"
+ "./$run" >"$output" 2>&1
+ if [[ $? == 0 ]]; then
+ good="yes"
+ mv "$output" "${progdir}/${td_expected}"
+ else
+ echo "Test failed during update."
+ good="no"
+ fi
+
else
"./$run" >"$output" 2>&1
cmp -s "$expected" "$output"